"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const Case = require("case");
const chalk_1 = require("chalk");
const figlet = require("figlet");
const fs_1 = require("fs");
const handlebars_1 = require("handlebars");
const path_1 = require("path");
const process_1 = require("process");
class GenerateInterceptor extends command_1.Command {
    async run() {
        const { args } = this.parse(GenerateInterceptor);
        this.log(chalk_1.default.red(figlet.textSync('Ngen', { horizontalLayout: 'full' })));
        const __DIRNAME = __dirname;
        const CURR_DIR = process_1.cwd();
        this.log(chalk_1.default.blue('Interceptor Generating...'));
        const source = fs_1.readFileSync(path_1.join(__DIRNAME, 'templates/interceptor.hbs'), 'utf8').toString();
        const template = handlebars_1.compile(source);
        const content = template({
            name: Case.pascal(args.name)
        });
        const writePath = `${CURR_DIR}/${args.name}.interceptor.ts`;
        fs_1.writeFileSync(writePath, content, 'utf8');
        this.log(chalk_1.default.green('Interceptor Generated!'));
        this.log(chalk_1.default.green('CREATE '), writePath);
    }
}
GenerateInterceptor.description = 'Generate Angular Interceptor';
GenerateInterceptor.aliases = ['gi', 'g:i'];
GenerateInterceptor.flags = {
    help: command_1.flags.help({ char: 'h' })
};
GenerateInterceptor.args = [{ name: 'name' }];
exports.default = GenerateInterceptor;
