"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const Case = require("case");
const chalk_1 = require("chalk");
const figlet = require("figlet");
const fs_1 = require("fs");
const handlebars_1 = require("handlebars");
const path_1 = require("path");
const process_1 = require("process");
class MakeDirective extends command_1.Command {
    async run() {
        const { args, flags } = this.parse(MakeDirective);
        this.log(chalk_1.default.red(figlet.textSync('Ngen', { horizontalLayout: 'full' })));
        const __DIRNAME = __dirname;
        const CURR_DIR = process_1.cwd();
        this.log(chalk_1.default.blue('Directive Generating...'));
        const source = fs_1.readFileSync(path_1.join(__DIRNAME, 'templates/directive.hbs'), 'utf8').toString();
        const template = handlebars_1.compile(source);
        const content = template({
            name: Case.camel(args.name || flags.name)
        });
        // const name = flags.name || 'world'
        const writePath = `${CURR_DIR}/${args.name}.directive.js`;
        fs_1.writeFileSync(writePath, content, 'utf8');
        this.log(chalk_1.default.green('Directive Generated!'));
        // if (args.file && flags.force) {
        //   this.log(`you input --force and --file: ${args.file}`)
        // }
    }
}
MakeDirective.description = 'describe the command here';
MakeDirective.aliases = ['md', 'm:d'];
MakeDirective.flags = {
    help: command_1.flags.help({ char: 'h' }),
    // flag with a value (-n, --name=VALUE)
    name: command_1.flags.string({ char: 'n', description: 'name of the directive' }),
    // flag with no value (-f, --force)
    force: command_1.flags.boolean({ char: 'f' }),
};
MakeDirective.args = [{ name: 'file' }];
exports.default = MakeDirective;
