"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const Case = require("case");
const chalk_1 = require("chalk");
const figlet = require("figlet");
const fs_1 = require("fs");
const handlebars_1 = require("handlebars");
const path_1 = require("path");
const process_1 = require("process");
class MakeFilter extends command_1.Command {
    async run() {
        const { args, flags } = this.parse(MakeFilter);
        this.log(chalk_1.default.red(figlet.textSync('Ngen', { horizontalLayout: 'full' })));
        const __DIRNAME = __dirname;
        const CURR_DIR = process_1.cwd();
        this.log(chalk_1.default.blue('Filter Generating...'));
        const source = fs_1.readFileSync(path_1.join(__DIRNAME, 'templates/filter.hbs'), 'utf8').toString();
        const template = handlebars_1.compile(source);
        const content = template({
            name: Case.camel(args.name || flags.name),
            module: Case.camel(args.module || flags.module || 'module'),
        });
        // const name = flags.name || 'world'
        const writePath = `${CURR_DIR}/${args.name}.filter.js`;
        fs_1.writeFileSync(writePath, content, 'utf8');
        this.log(chalk_1.default.green('Filter Generated!'));
        // if (args.file && flags.force) {
        //   this.log(`you input --force and --file: ${args.file}`)
        // }
    }
}
MakeFilter.description = 'describe the command here';
MakeFilter.aliases = ['mf', 'm:f'];
MakeFilter.flags = {
    help: command_1.flags.help({ char: 'h' }),
    // flag with a value (-n, --name=VALUE)
    name: command_1.flags.string({ char: 'n', description: 'name of the filter' }),
    // flag with no value (-f, --force)
    force: command_1.flags.boolean({ char: 'f' }),
    module: command_1.flags.string({ char: 'm', description: 'Name of the AngularJs Module' })
};
MakeFilter.args = [{ name: 'name' }];
exports.default = MakeFilter;
